## gulkan 0.12.1

=== meson_options.txt ===
option('introspection', type : 'boolean', value : false)

=== debian/changelog ===
gulkan (0.12.1-1) unstable; urgency=medium

  * Initial Release (Closes: #933564)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 02 Aug 2019 22:15:45 +0800

=== debian/control ===
Source: gulkan
Priority: optional
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 11),
               glslang-tools,
               gtk-doc-tools,
               libcairo2-dev,
               libgdk-pixbuf2.0-dev,
               libglfw3-dev,
               libglib2.0-dev,
               libgraphene-1.0-dev,
               libvulkan-dev,
               meson
Standards-Version: 4.3.0
Section: libs
Homepage: https://gitlab.freedesktop.org/xrdesktop/gulkan
Vcs-Browser: https://salsa.debian.org/xrdesktop-team/gulkan
Vcs-Git: https://salsa.debian.org/xrdesktop-team/gulkan.git

Package: libgulkan-0.12-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GLib Vulkan helper library
 GLib library for Vulkan abstraction. It provides classes for handling a
 Vulkan instances, devices, shaders and initialize textures from GLib image
 structures and DMA buffers.
 .
 This package includes the loader library.

Package: libgulkan-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcairo2-dev,
         libgdk-pixbuf2.0-dev,
         libgraphene-1.0-dev,
         libvulkan-dev,
         libgulkan-0.12-0 (= ${binary:Version}),
         ${misc:Depends}
Description: GLib Vulkan helper library -- development files
 GLib library for Vulkan abstraction. It provides classes for handling a
 Vulkan instances, devices, shaders and initialize textures from GLib image
 structures and DMA buffers.
 .
 This package includes files needed for development.

Package: libgulkan-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: GLib Vulkan helper library -- documentation files
 GLib library for Vulkan abstraction. It provides classes for handling a
 Vulkan instances, devices, shaders and initialize textures from GLib image
 structures and DMA buffers.
 .
 This package includes gtk-doc files in html format.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	# Skip test due to required a vulkan driver or it failures.

override_dh_missing:
	dh_missing --list-missing

## gulkan 0.13.2

=== debian/changelog ===
gulkan (0.13.2-2) unstable; urgency=medium

  * Mark libgulkan-doc as multi-arch foreign.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 11 Dec 2019 12:50:58 +0800

gulkan (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2.
    - Replace image that is incompatible with DFSG.
  * debian/copyright: update DFSG-free license for res/cat.jpg.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 21 Nov 2019 09:22:46 +0800

gulkan (0.13.0-1) unstable; urgency=medium

  * New upstream 0.13.0 release.
  * Build and ship documents.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 12 Oct 2019 18:47:36 +0800

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Vcs-Browser: https://salsa.debian.org/xrdesktop-team/gulkan
 Vcs-Git: https://salsa.debian.org/xrdesktop-team/gulkan.git
 
-Package: libgulkan-0.12-0
+Package: libgulkan-0.13-0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -37,7 +37,7 @@
          libgdk-pixbuf2.0-dev,
          libgraphene-1.0-dev,
          libvulkan-dev,
-         libgulkan-0.12-0 (= ${binary:Version}),
+         libgulkan-0.13-0 (= ${binary:Version}),
          ${misc:Depends}
 Description: GLib Vulkan helper library -- development files
  GLib library for Vulkan abstraction. It provides classes for handling a
@@ -49,6 +49,7 @@
 Package: libgulkan-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: GLib Vulkan helper library -- documentation files
  GLib library for Vulkan abstraction. It provides classes for handling a

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	# Skip test due to required a vulkan driver or it failures.

override_dh_auto_build:
	dh_auto_build
	meson build -Dapi_doc=true
	ninja -C build gulkan-doc
	find

override_dh_missing:
	dh_missing --list-missing

## gulkan 0.15.1

=== debian/changelog ===
gulkan (0.15.1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Be compatible with gcc 14. (Closes: #1086208)

  [ Héctor Orón Martínez ]
  * Drop myself from uploaders.

  [ Andrej Shadura ]
  * Switch to team maintenance.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 08 Mar 2025 14:09:33 +0000

gulkan (0.15.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062196

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 09:21:22 +0000

gulkan (0.15.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream FTBFS fix. (Closes: #997229)
  * Build Depend and build-depend on libgdk-pixbuf-2.0-dev instead
    of libgdk-pixbuf2.0-dev. (Closes: #976029)

 -- Adrian Bunk <bunk@debian.org>  Thu, 06 Jan 2022 14:39:04 +0200

gulkan (0.15.1-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 18 Jul 2020 08:04:33 +0800

gulkan (0.15.1-1) experimental; urgency=medium

  * New upstream version 0.15.1
  * Clean up rules file.
  * Rename shared library package for soname bump.
  * Ship utilities in libgulkan-utils.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 16 Jul 2020 08:43:11 +0800

gulkan (0.14.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 03 Apr 2020 00:09:02 +0800

gulkan (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: build-deps on libglew-dev.
  * Update package name to match the sonames.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 01 Apr 2020 13:27:04 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: gulkan
 Priority: optional
-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
-Uploaders: Héctor Orón Martínez <zumbi@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Debian xrdesktop Team <team+xrdesktop@tracker.debian.org>
+Uploaders:
+ Andrej Shadura <andrewsh@debian.org>,
+ Lubosz Sarnecki <lubosz.sarnecki@collabora.com>,
+ Christoph Haag <christoph.haag@collabora.com>,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11),
                glslang-tools,
                gtk-doc-tools,
                libcairo2-dev,
-               libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-2.0-dev,
+               libglew-dev,
                libglfw3-dev,
                libglib2.0-dev,
                libgraphene-1.0-dev,
@@ -18,7 +22,10 @@
 Vcs-Browser: https://salsa.debian.org/xrdesktop-team/gulkan
 Vcs-Git: https://salsa.debian.org/xrdesktop-team/gulkan.git
 
-Package: libgulkan-0.13-0
+Package: libgulkan-0.15-0t64
+Provides: ${t64:Provides}
+Replaces: libgulkan-0.15-0
+Breaks: libgulkan-0.15-0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -34,10 +41,10 @@
 Architecture: any
 Multi-Arch: same
 Depends: libcairo2-dev,
-         libgdk-pixbuf2.0-dev,
+         libgdk-pixbuf-2.0-dev,
          libgraphene-1.0-dev,
          libvulkan-dev,
-         libgulkan-0.13-0 (= ${binary:Version}),
+         libgulkan-0.15-0t64 (= ${binary:Version}),
          ${misc:Depends}
 Description: GLib Vulkan helper library -- development files
  GLib library for Vulkan abstraction. It provides classes for handling a
@@ -57,3 +64,15 @@
  structures and DMA buffers.
  .
  This package includes gtk-doc files in html format.
+
+Package: libgulkan-utils
+Section: utils
+Architecture: any
+Multi-Arch: allowed
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: GLib Vulkan helper library -- utilities
+ GLib library for Vulkan abstraction. It provides classes for handling a
+ Vulkan instances, devices, shaders and initialize textures from GLib image
+ structures and DMA buffers.
+ .
+ This package includes gulkan-cube utility.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 	dh_auto_build
 	meson build -Dapi_doc=true
 	ninja -C build gulkan-doc
-	find
 
 override_dh_missing:
 	dh_missing --list-missing

## gulkan 0.16.0

=== meson_options.txt ===
option('api_doc',
  type: 'boolean',
  value: false,
  description: 'Build API documentation using GTK-Doc'
)

option('introspection', type : 'boolean', value : false)

option('examples',
  type: 'boolean',
  value: true,
  description: 'Build the examples'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Build the tests'
)

=== debian/changelog ===
gulkan (0.16.0-0deepin1) unstable; urgency=medium

  * New upstream version 0.16.0
  * Rename shared library package for soname bump.
  * Remove d/patches/0001-Fix-incompatible-types.patch. Already upstream.

 -- Tianyu Chen <sweetyfish@deepin.org>  Sat, 11 May 2024 11:20:23 +0800

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,34 @@
 Source: gulkan
 Priority: optional
-Maintainer: Debian xrdesktop Team <team+xrdesktop@tracker.debian.org>
-Uploaders:
- Andrej Shadura <andrewsh@debian.org>,
- Lubosz Sarnecki <lubosz.sarnecki@collabora.com>,
- Christoph Haag <christoph.haag@collabora.com>,
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11),
+Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
+Uploaders: Héctor Orón Martínez <zumbi@debian.org>
+Build-Depends: debhelper (>= 11),
                glslang-tools,
                gtk-doc-tools,
                libcairo2-dev,
+               libdrm-dev,
+               libegl-dev,
+               libgbm-dev,
                libgdk-pixbuf-2.0-dev,
                libglew-dev,
                libglfw3-dev,
                libglib2.0-dev,
                libgraphene-1.0-dev,
+               libpango1.0-dev,
                libvulkan-dev,
-               meson
+               libwayland-dev,
+               libxcb-keysyms1-dev,
+               libxcb1-dev,
+               libxkbcommon-dev,
+               meson,
+               wayland-protocols
 Standards-Version: 4.3.0
 Section: libs
 Homepage: https://gitlab.freedesktop.org/xrdesktop/gulkan
 Vcs-Browser: https://salsa.debian.org/xrdesktop-team/gulkan
 Vcs-Git: https://salsa.debian.org/xrdesktop-team/gulkan.git
 
-Package: libgulkan-0.15-0t64
-Provides: ${t64:Provides}
-Replaces: libgulkan-0.15-0
-Breaks: libgulkan-0.15-0 (<< ${source:Version})
+Package: libgulkan-0.16-0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -43,8 +46,8 @@
 Depends: libcairo2-dev,
          libgdk-pixbuf-2.0-dev,
          libgraphene-1.0-dev,
+         libgulkan-0.16-0 (= ${binary:Version}),
          libvulkan-dev,
-         libgulkan-0.15-0t64 (= ${binary:Version}),
          ${misc:Depends}
 Description: GLib Vulkan helper library -- development files
  GLib library for Vulkan abstraction. It provides classes for handling a
